<?php
/**
 * VW Maintenance Services: Block Patterns
 *
 * @package VW Maintenance Services
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-maintenance-services',
		array( 'label' => __( 'VW Maintenance Services', 'vw-maintenance-services' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-maintenance-services/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-maintenance-services' ),
			'categories' => array( 'vw-maintenance-services' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":6944,\"dimRatio\":0,\"align\":\"full\",\"className\":\"banner-content\"} -->\n<div class=\"wp-block-cover alignfull banner-content\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"m-0\"} -->\n<div class=\"wp-block-columns alignwide m-0\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:heading {\"level\":1,\"className\":\"mb-2\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":50}}} -->\n<h1 class=\"mb-2 has-text-color\" style=\"color:#303133;font-size:50px\">LOREM IPSUM IS SIMPLY DUMMY TEXT</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"mt-0 mb-2\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":14}}} -->\n<p class=\"mt-0 mb-2 has-text-color\" style=\"color:#303133;font-size:14px\">Lorem Ipsum has been the industrys standard. Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"mt-0\"} -->\n<div class=\"wp-block-buttons mt-0\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#fb7f7f\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-background\" style=\"background-color:#fb7f7f\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-maintenance-services/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-maintenance-services' ),
			'categories' => array( 'vw-maintenance-services' ),
			'content'    => "<!-- wp:cover {\"overlayColor\":\"white\",\"minHeight\":586,\"minHeightUnit\":\"px\",\"align\":\"full\",\"className\":\"services-box m-0\"} -->\n<div class=\"wp-block-cover alignfull has-white-background-color has-background-dim services-box m-0\" style=\"min-height:586px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"className\":\"mt-4 mb-3\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":35}}} -->\n<h2 class=\"alignwide mt-4 mb-3 has-text-color\" style=\"color:#303133;font-size:35px\">OUR SERVICES</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"m-0\"} -->\n<div class=\"wp-block-columns alignwide m-0\"><!-- wp:column {\"width\":\"\",\"className\":\"mt-4\"} -->\n<div class=\"wp-block-column mt-4\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"right\",\"level\":3,\"className\":\"mb-2 mt-0\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":25}}} -->\n<h3 class=\"has-text-align-right mb-2 mt-0 has-text-color\" style=\"color:#303133;font-size:25px\">Services Title 1</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"className\":\"text-right m-0\",\"style\":{\"color\":{\"text\":\"#838384\"},\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-right text-right m-0 has-text-color\" style=\"color:#838384;font-size:14px\">Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"left\",\"id\":7037,\"width\":70,\"height\":70,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignleft size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/servicesicon1.png\" alt=\"\" class=\"wp-image-7037\" width=\"70\" height=\"70\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"right\",\"level\":3,\"className\":\"mb-2 mt-0\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":25}}} -->\n<h3 class=\"has-text-align-right mb-2 mt-0 has-text-color\" style=\"color:#303133;font-size:25px\">Services Title 3</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"className\":\"text-right m-0\",\"style\":{\"color\":{\"text\":\"#838384\"},\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-right text-right m-0 has-text-color\" style=\"color:#838384;font-size:14px\">Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"left\",\"id\":6971,\"width\":70,\"height\":70,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignleft size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/servicesicon2.png\" alt=\"\" class=\"wp-image-6971\" width=\"70\" height=\"70\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"\",\"className\":\"ml-0\"} -->\n<div class=\"wp-block-column ml-0\"><!-- wp:image {\"id\":6976,\"width\":300,\"height\":300,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<figure class=\"wp-block-image size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services-centre.png\" alt=\"\" class=\"wp-image-6976\" width=\"300\" height=\"300\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"\",\"className\":\"mt-4 ml-0\"} -->\n<div class=\"wp-block-column mt-4 ml-0\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"right\",\"id\":6973,\"width\":70,\"height\":70,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/servicesicon3.png\" alt=\"\" class=\"wp-image-6973\" width=\"70\" height=\"70\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"mb-2 mt-0\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":25}}} -->\n<h3 class=\"has-text-align-left mb-2 mt-0 has-text-color\" style=\"color:#303133;font-size:25px\">Services Title 2</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left m-0\",\"style\":{\"color\":{\"text\":\"#838384\"},\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-left text-left m-0 has-text-color\" style=\"color:#838384;font-size:14px\">Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"right\",\"id\":6974,\"width\":70,\"height\":70,\"sizeSlug\":\"large\",\"linkDestination\":\"media\"} -->\n<div class=\"wp-block-image\"><figure class=\"alignright size-large is-resized\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/servicesicon4.png\" alt=\"\" class=\"wp-image-6974\" width=\"70\" height=\"70\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3,\"className\":\"mb-2 mt-0\",\"style\":{\"color\":{\"text\":\"#303133\"},\"typography\":{\"fontSize\":25}}} -->\n<h3 class=\"has-text-align-left mb-2 mt-0 has-text-color\" style=\"color:#303133;font-size:25px\">Services Title 4</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left m-0\",\"style\":{\"color\":{\"text\":\"#838384\"},\"typography\":{\"fontSize\":14}}} -->\n<p class=\"has-text-align-left text-left m-0 has-text-color\" style=\"color:#838384;font-size:14px\">Lorem Ipsum has been the industrys standard.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover -->",
		)
	);
}